apiVersion: argoproj.io/v1alpha1
kind: Application
metadata:
  name: pidoka-hf-suitecrm
  namespace: argocd
spec:
  project: tenant-pidoka
  source:
    repoURL: https://github.com/GitMasterOne/platform-gitops.git
    targetRevision: main
    path: tenants/pidoka/prod/suitecrm
  destination:
    server: https://192.168.20.40:6443
    namespace: hf-suitecrm
  syncPolicy:
    syncOptions:
      - CreateNamespace=true
      - ServerSideApply=true
